
Foreman - Bug #4545

Host deletion allowed even though host permissions

03/04/2014 07:00 PM - Bryce Camp

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I created a specific role for my user and assigned everything appropriately.   I did leave out two available options for the role:

destroy_hosts, console_hosts

My user still has the ability to console and destroy hosts though.

History

#1 - 03/05/2014 08:05 AM - Marek Hulán

- Category set to Users, Roles and Permissions

What is your foreman version?

#2 - 03/05/2014 03:22 PM - Bryce Camp

Foreman version 1.4.0

#3 - 03/31/2014 08:21 AM - Dominic Cleal

- Status changed from New to Feedback

I've tested this on Foreman 1.5, creating a new role without these two permissions and have confirmed that the options are unavailable in the UI and

I'm unable to destroy hosts via the API as that user.

We're running a test period for the new auth system in Foreman 1.5 at the moment, so if you have time to try it, please see 

Auth_testing_for_Foreman_15 for more info.

#4 - 05/17/2017 07:09 AM - Anonymous

- Status changed from Feedback to Resolved

should be resolved with 1.5+
